# PagesOcrResult class

OCR action result

Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

PagesOcrResult(String? plainText, String? pdfFileUri, List<OcrPage> pages)
PagesOcrResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
pages ↔ List<OcrPage>
  Array of OCR pages with OCR data. Each OcrPage represents OCR result of given scanned Page document image.
  read / write
pdfFileUri ↔ String?
  Optional file URI of generated PDF file (if requested via options).
  read / write
plainText ↔ String?
  Recognized plain text
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited